      SUBROUTINE QEGANP
     I                  (MESSFL,METFLG,SCNAME,
     M                   GPARM)
C
C     + + + PURPOSE + + +
C     modify global A, N, and P parameters
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER   MESSFL,METFLG
      REAL      GPARM(22)
      CHARACTER SCNAME*(*)
C
C     + + + ARGUMENT DEFINITIONS + + +
C     MESSFL - Fortran unit number for message file
C     METFLG - input metric units flag 
C     SCNAME - screen name
C     GPARM  - array of global parameters 
C
C     + + + LOCAL VARIABLES + + +
      INTEGER     I1,TLEN,SCLU,SGRP,RNUM,IVAL(1,1),CVAL(1,3,1)
      DOUBLE PRECISION DVAL(1,1)
      CHARACTER*1 TBUFF(154),BLNK
C
C     + + + EXTERNALS + + +
      EXTERNAL    ZIPC, QRESCZ, ZWNSET
C
C     + + + END SPECIFICATIONS + + +
C
      I1  = 1
      SCLU= 9
      BLNK= ' '
C
      CALL ZWNSET (SCNAME)
      TLEN= 154
      CALL ZIPC(TLEN,BLNK,TBUFF)
      RNUM= 22
      SGRP= 17+ METFLG
      CALL QRESCZ (MESSFL,SCLU,SGRP,I1,RNUM,I1,I1,I1,I1,TLEN,
     M             IVAL,GPARM,DVAL,CVAL,TBUFF)
C
      RETURN
      END
